public class Music {

    /**
     * name of the track
     */
    private String name;
    /**
     * artist of the track
     */
    private String artist;
    /**
     * the YEAR of release
     * Caution!
     * year must be greater than 1900 and less than 2020
     */
    private int distributionYear;
    /**
     * where file is saved.
     */
    private String fileDirectory;

    /**
     * @return name of the track
     */
    public String getName() {
        return name;
    }

    /**
     * @param name sets the name for track
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return artist name of the track
     */
    public String getArtist() {
        return artist;
    }

    /**
     * @param artist sets name of track artist
     */
    public void setArtist(String artist) {
        this.artist = artist;
    }

    /**
     * @return track release year
     */
    public int getDistributionYear() {
        return distributionYear;
    }

    /**
     * @param distributionYear sets the year which track was released
     *
     */
    public void setDistributionYear(int distributionYear) {
        if (distributionYear < 2022 && distributionYear > 1900)
            this.distributionYear = distributionYear;
        else
            System.out.println("Wrong Distribution Year");
    }

    /**
     * @return directory of the track
     */
    public String getFileDirectory() {
        return fileDirectory;
    }

    /**
     * @param fileDirectory sets the directory of where our track is saved
     */
    public void setFileDirectory(String fileDirectory) {
        this.fileDirectory = fileDirectory;
    }
}
